{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "$insert prod_spec_equ\r\ndeclare function center_window\r\n\r\nif index( CreateParam, 'CENTER', 1 ) then\r\n    void = center_window( @window )\r\nend else\r\n    Void = set_property( @window, 'VISIBLE', 1 )\r\nend\r\n\r\nPSNID       = field( CreateParam, char(245), 1 )\r\nSurfaceInfo = field( CreateParam, char(245), 2 )\r\n\r\n* LOAD THE PRE EPI SURFACE SPECIFICATION\r\nVoid = set_property( @window, '@Loading', 1 )\r\nPSN = xlate( 'PROD_SPEC', PSNID, '', 'X' )\r\n.clean_surfscan_defects_s->text = PSN<prod_spec_post_clean_surf_defects$>\r\n.clean_surfscan_haze_s->text    = oconv( PSN<prod_spec_post_clean_surf_haze$>, 'MD2' )\r\n* THEN LOAD THE CURRENT DATA PASSED FROM THE RDS_POSTE_EPI WINDOW\r\nControls = 'CLEAN_SURFSCAN_DEFECTS_R/CLEAN_SURFSCAN_HAZE_R'\r\nswap '/' with @rm:@window:'.' in Controls\r\nControls = @window:'.':Controls\r\nconvert @fm to @rm in SurfaceInfo\r\nvoid = set_property( Controls, 'TEXT', SurfaceInfo )\r\nVoid = set_property( @window, '@Controls', Controls )\r\nreturn 1"
        }
    }
}